<template>
	<web-view :webview-styles="webviewStyles" :src="webUrl"></web-view>
</template>

<script>
	export default {
		data() {
			return {
				webUrl: '', //链入的网页地址, Https协议下Webview可以设置第三方Cookie,否则可能因为Cookie读取异常，出现异常报错
				webviewStyles: {
					progress: {
						color: '#FF3333' //进度条样式。仅加载网络 HTML 时生效，设置为 false 时禁用进度条。
					}
				}
			}
		},
		onLoad(options) {
			const webUrl = options.webUrl
			this.webUrl = webUrl
		},

		methods: {

		}
	}
</script>

<style>

</style>
